# IceGrid::FileIterator

## Overview

### interface FileIterator

This interface provides access to IceGrid log file contents.

## Operations

### bool read(int size, out ::Ice::StringSeq lines) throws FileNotAvailableException

Read lines from the log file.

#### Parameters

size
  Specifies the maximum number of bytes to be received. The server will ensure that the returned message doesn't exceed the given size.
lines
  The lines read from the file. If there was nothing to read from the file since the last call to read, an empty sequence is returned. The last line of the sequence is always incomplete (and therefore no '\n' should be added when writing the last line to the to the output device).

#### Return Value

True if EOF is encountered.

#### Exceptions

FileNotAvailableException
  Raised if there was a problem to read lines from the file.

### void destroy()

Destroy the iterator.